<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">PageRankVertexSeq&lt; DataType, IdType &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classVertexSeqPageRank.html">PageRankVertexSeq&lt; DataType, IdType &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a7cc87d2b4157b298460486dab71dfb44">addEdge</a>(TIGLContainersEdgeBase&lt; IdType &gt; &amp;x)</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a2d6b5c292809922673ceb6fdb188b6b3">addEdge</a>(ID_TYPE &amp;target)</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#ae9dc66486575edee5b2901b6fa01b370">addEdge</a>(OUT_EDGE_BUF &amp;x)</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html#afd76ce0d0b3abcb3d639041db92c4f1b">addInEdge</a>(TIGLContainersEdgeBase&lt; IdType &gt; &amp;x)</td><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html#a8a442d0b79dda8ef28c14862392a2374">addInEdge</a>(IdType &amp;src)</td><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html#a0115e80a8874748ad4252a8f5381c9ca">addInEdge</a>(vector&lt; TIGLContainersEdgeBase&lt; IdType &gt; &gt; &amp;x)</td><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#ac36b610433331bb36b1c05a1fa942418">algData</a></td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#ae54bd25069156c7ff89a9907f2167b24">clearEdges</a>()</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexSeqPageRank.html#a08daf0892e414d246559ddbe7af6b861">compute</a>(void *pIn=0)</td><td class="entry"><a class="el" href="classVertexSeqPageRank.html">PageRankVertexSeq&lt; DataType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#ace8a3901abb1f925cd442ff24200b45f">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;::compute</a>(void *pIn=0, void *pOut=0)</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#afb1a96d0d3ccc33e97c1b84af0a045d7">get_edge</a>(ID_TYPE target)</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html#ad2ac3cce1c4574f7e25a0c2a9f1106f4">get_num_in_edges</a>()</td><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html#a91457417dfa5e01096f9a15dc1276c7b">get_parents</a>(vector&lt; IdType &gt; &amp;vectParents)</td><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a776920aff39617337c8c0d11100fa948">get_value</a>()</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a782c440fc6c8ae87291f142239260091">getAlgData</a>()</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html#a8628c653f7331dcc601d0162a934ee16">getBeginInEdgeIterator</a>()</td><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a077ed089a01250a2d15fc5acc7e3aaf6">getBeginOutEdgeIterator</a>()</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#afd0b2f0822224ebb4ee9b2d9b6ae7ba0">getChildren</a>(vector&lt; IdType &gt; &amp;vectChildren)</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html#ae19bca89caf25c70456b2081ca58fa9a">getEdgesSize</a>()</td><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html#ab86217a05415aa2438ccb4b530c5e6ab">getEndInEdgeIterator</a>()</td><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a3af614e7143fb092f6a3115514de319b">getEndOutEdgeIterator</a>()</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a5c2f4752f5f1df26b608ddc6400777aa">getId</a>()</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a1fc8f9e57e5b9bfeaf5a33fe5f4d3d77">getNumDifferentNbr</a>()</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a8aa2da8ab2f06ff33fb499ee42b228ce">getNumOutEdges</a>()</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a3f6edf01d8830e0b5b8ad74549eeb085">id</a></td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html#a05f5f7777608e6b5c50f3ec7a52157e1">inEdges</a></td><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexSeqPageRank.html#aee79049d26e81d35493279c69d6d171f">init</a>(IdType totalVertics)</td><td class="entry"><a class="el" href="classVertexSeqPageRank.html">PageRankVertexSeq&lt; DataType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a53510bd15bbce08013705a779d3b191a">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;::init</a>()</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html#ab244b4eda4614655b1672b9190c0f3f2">isBiVertex</a>()</td><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a6b9a5ee6ceed8269cfde06116fa4fb30">isConnected</a>(IdType node)</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a260b170afbb1f183b7d6247a148fea83">operator&lt;</a>(const TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt; &amp;rhs) const</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#ac1f818aadbfdd77acf6eb5974339b582">operator==</a>(const TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt; &amp;rhs) const</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a8e0e018b11f1fbe310789c332efed1b9">outEdges</a></td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a355bc674650678249bd53adc12f1cb4d">removeEdge</a>(IdType &amp;target)</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html#a7fee3ae0da7b58798d13a8c10869618b">removeInEdge</a>(IdType src)</td><td class="entry"><a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#ab12e0c19620ff872c8b793ff001f022b">TIGLContainersVertexBase</a>(IdType key)</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a0c2b931b7f439a72da6baaadbb6f753d">TIGLContainersVertexBase</a>(IdType key, DataType data, doublealg)</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a3887a721638627b063306724ad8cf22b">TIGLContainersVertexBase</a>()</td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html#a42054ed48c73a733e99f3ef80698e50b">vertexData</a></td><td class="entry"><a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Mar 4 2015 13:49:45 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
